Skip to main content
GET
ListRoles

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of roles to return. The service may return fewer than this value. If unspecified, at most 50 roles will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListRoles call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListRoles must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are role_id, name, and description. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved channels. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are name and description. If left empty, items are ordered by name in ascending order (oldest-first). For more information about the format of this field, read this Example: "name desc,description"

Response

A successful response.

roles
object[]
nextPageToken
string